# Uses of Class
io.dapr.actors.runtime.ActorTypeConfig

Packages that use ActorTypeConfig
Package
Description
io.dapr.actors.runtime

## Uses of ActorTypeConfig in io.dapr.actors.runtime

Methods in io.dapr.actors.runtime that return ActorTypeConfig
Modifier and Type
Method
Description
`ActorTypeConfig`
ActorTypeConfig.`setActorIdleTimeout(Duration actorIdleTimeout)`
Sets the duration for Actors' timeout.
`ActorTypeConfig`
ActorTypeConfig.`setActorScanInterval(Duration actorScanInterval)`
Sets the duration to scan for Actors.
`ActorTypeConfig`
ActorTypeConfig.`setDrainBalancedActors(Boolean drainBalancedActors)`
Sets whether balanced actors should be drained.
`ActorTypeConfig`
ActorTypeConfig.`setDrainOngoingCallTimeout(Duration drainOngoingCallTimeout)`
Sets the timeout to drain ongoing calls.
`ActorTypeConfig`
ActorTypeConfig.`setRemindersStoragePartitions(Integer remindersStoragePartitions)`
Sets the number of storage partitions for Actor reminders.